For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
      • GETReturns the capacity of the specified user.
      • PUTUpdates the capacity of the specified user.
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceUser Capacities

Updates the capacity of the specified user.

PUT
https://api.awork.com/api/v1/users/:userId/capacity
PUT
/api/v1/users/:userId/capacity
$curl -X PUT https://api.awork.com/api/v1/users/userId/capacity \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "userId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
3 "weeklyCapacity": {
4 "mon": 28800,
5 "tue": 28800,
6 "wed": 28800,
7 "thu": 28800,
8 "fri": 28800,
9 "sat": 0,
10 "sun": 0
11 },
12 "createdOn": "2024-04-10T08:00:00Z",
13 "createdBy": "a3bb189e-8bf9-3888-9912-ace4e6543002",
14 "updatedOn": "2024-04-10T08:00:00Z",
15 "updatedBy": "a3bb189e-8bf9-3888-9912-ace4e6543002",
16 "capacityPerWeek": 144000
17}
Updates the capacity of the user with the specified id. User planning data or admin permissions are required if the capacity of the specified user does not belong to the calling user. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Removes a tag from all users.

Next
Built with

Updates the capacity of the user with the specified id. User planning data or admin permissions are required if the capacity of the specified user does not belong to the calling user.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

userIdstringRequiredformat: "uuid"
The user whose capacity should be updated.

Request

Updated capacity values for each day of the week.
moninteger or nullOptional
The user's capacity on Monday, in seconds.
tueinteger or nullOptional
The user's capacity on Tuesday, in seconds.
wedinteger or nullOptional
The user's capacity on Wednesday, in seconds.
thuinteger or nullOptional
The user's capacity on Thursday, in seconds.
friinteger or nullOptional
The user's capacity on Friday, in seconds.
satinteger or nullOptional
The user's capacity on Saturday, in seconds.
suninteger or nullOptional
The user's capacity on Sunday, in seconds.
capacityPerWeekinteger or nullOptionalDeprecated
Backward compatibility property. The capacity of the user per week, in seconds. If this value is null, and all the daily values are null as well, then the default value will be set to the default value.

Response

OK
userIdstringformat: "uuid"
The id of the user this capacity belongs to.
weeklyCapacityobject
createdOnstringformat: "date-time"
The date this user capacity was created.
createdBystringformat: "uuid"
The id of the user who created this user capacity.
updatedOnstringformat: "date-time"
The date when this user capacity was last updated.
updatedBystringformat: "uuid"
The id of the user who updated the user capacity.
capacityPerWeekintegerRead-onlyDeprecated
The capacity of the user per week, in seconds.

Errors

401
Unauthorized Error